import { VNode, VNodeNormalizedChildren, ComponentPublicInstance, ComponentInternalInstance } from 'vue';
export declare const flattenVNodes: (children: VNodeNormalizedChildren) => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[];
export declare const sortChildren: (parent: ComponentInternalInstance, publicChildren: ComponentPublicInstance[], internalChildren: ComponentInternalInstance[]) => void;
export declare const createProvider: <T extends ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> = ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>>(key: string | symbol) => {
    children: T[];
    provider: (value?: any) => void;
};
